import request from '@/utils/request'

export function approvalList(params) {
    return request({
        url: '/approval-flow',
        method: 'get',
        params
    })
}

export function approvalPost(data) {
    return request({
        url: '/approval-flow',
        method: 'post',
        data
    })
}

export function approvalDetails(id) {
    return request({
        url: '/approval-flow/' + id,
        method: 'get',
    })
}

export function approvalPatch(id, data) {
    return request({
        url: '/approval-flow/' + id,
        method: 'patch',
        data
    })
}

export function approvalDelete(id) {
    return request({
        url: '/approval-flow/' + id,
        method: 'delete',
    })
}

export function postApproval(data) {
    return request({
        url: '/approval',
        method: 'post',
        data
    })
}

export function revokeApproval(data) {
    return request({
        url: `/approval-cancel`,
        method: 'patch',
        data
    })
}

export function listApproval(params) {
    return request({
        url: '/approval',
        method: 'get',
        params
    })
}

export function detailsApproval(id) {
    return request({
        url: '/approval/' + id,
        method: 'get',
    })
}

export function actionApproval(id,data) {
    return request({
        url: '/approval/' + id + '/action',
        method: 'post',
        data
    })
}

