import request from '@/utils/request'

export function assetList(params) {
  return request({
    url: '/asset',
    method: 'get',
    params,
  })
}

export function assetListItems(params) {
  return request({
    url: '/asset-items',
    method: 'get',
    params,
  })
}

export function assetAdd(data) {
  return request({
    url: '/asset',
    method: 'post',
    data,
  })
}

export function assetEdit(id, data) {
  return request({
    url: `/asset/${id}`,
    method: 'patch',
    data,
  })
}

export function assetDetails(id) {
  return request({
    url: `/asset/${id}`,
    method: 'get',
  })
}

export function assetDelete(id) {
  return request({
    url: `/asset/${id}`,
    method: 'delete',
  })
}

export function assetReport(id) {
  return request({
    url: `/asset/${id}/report`,
    method: 'get',
  })
}

export function assetHistory(id) {
  return request({
    url: `/action/asset/history/${id}`,
    method: 'get',
  })
}

export function assetLatestDynamic(id) {
  return request({
    url: `/asset/${id}/dynamic`,
    method: 'get',
  })
}
