import request from '@/utils/request'

export function projectList(params) {
  return request({
    url: '/project',
    method: 'get',
    params,
  })
}

export function projectListItems(params) {
  return request({
    url: '/project-items',
    method: 'get',
    params,
  })
}

export function projectListByAsset(params) {
  return request({
    url: '/project-by-asset',
    method: 'get',
    params,
  })
}

export function projectAdd(data) {
  return request({
    url: '/project',
    method: 'post',
    data,
  })
}

export function projectEdit(id, data) {
  return request({
    url: `/project/${id}`,
    method: 'patch',
    data,
  })
}

export function projectDetails(id) {
  return request({
    url: `/project/${id}`,
    method: 'get',
  })
}

export function projectlinkRq(id, params) {
  return request({
    url: `/project/${id}/not-link-asset-requirement`,
    method: 'get',
    params
  })
}

export function projectDelete(id) {
  return request({
    url: '/project/' + id,
    method: 'delete',
  })
}

export function projectHistory(id) {
  return request({
    url: `/action/project/history/${id}`,
    method: 'get',
  })
}

export function taskHistory(id) {
  return request({
    url: `/action/task/history/${id}`,
    method: 'get',
  })
}

export function taskLinkContainer(task,data) {
  return request({
    url: `/task/${task}/container`,
    method: 'post',
    data
  })
}

export function taskUnLinkContainer(task_container_id) {
  return request({
    url: `/task-container/${task_container_id}`,
    method: 'delete',
  })
}

export function taskToBeLinkContainer(task_container_id,params) {
  return request({
    url: `/task/${task_container_id}/container-to-be-linked`,
    method: 'get',
    params
  })
}



