import request from '@/utils/request'

export function assetPlansList(params) {
  return request({
    url: '/plan',
    method: 'get',
    params,
  })
}

export function assetPlansAdd(data) {
  return request({
    url: '/plan',
    method: 'post',
    data,
  })
}

export function assetPlansEdit(id, data) {
  return request({
    url: `/plan/${id}`,
    method: 'patch',
    data,
  })
}

export function assetPlansDetails(id) {
  return request({
    url: `/plan/${id}`,
    method: 'get',
  })
}

export function assetPlansDelete(id) {
  return request({
    url: `/plan/${id}`,
    method: 'delete',
  })
}

export function requirementPlan(id, params) {
  return request({
    url: `/requirement/${id}/plan`,
    method: 'patch',
    params,
  })
}

export function unlink(params) {
  return request({
    url: `/requirement/plan/unlink`,
    method: 'patch',
    params,
  })
}

export function assetPlansByAsser(params) {
  return request({
    url: `/plan-by-assets`,
    method: 'get',
    params,
  })
}
