import request from '@/utils/request'

export function getUserList(params) {
    return request({
        url: '/user',
        method: 'get',
        params
    })
}

export function userDel(user_id) {
    return request({
        url: '/user/' + user_id,
        method: 'delete'
    })
}

export function userPost(data) {
    return request({
        url: '/user',
        method: 'post',
        data
    })
}

export function userDetails(user_id) {
    return request({
        url: '/user/' + user_id,
        method: 'get',
    })
}

export function userEdit(id, data) {
    return request({
        url: '/user/' + id,
        method: 'patch',
        data
    })
}

export function userStatus(status,data) {
    return request({
        url: '/user/status/'+status,
        method: 'put',
        data
    })
}


export function departmentList(params) {
    return request({
        url: '/department',
        method: 'get',
        params,
    })
}

export function departmentListItems(params) {
    return request({
        url: '/department-items',
        method: 'get',
        params,
    })
}

export function departmentPost(data) {
    return request({
        url: '/department',
        method: 'post',
        data,
    })
}

export function departmentPatch(id, data) {
    return request({
        url: '/department/' + id,
        method: 'patch',
        data,
    })
}

export function departmentDelete(id) {
    return request({
        url: '/department/' + id,
        method: 'delete'
    })
}

export function departmentDetails(id) {
    return request({
        url: '/department/' + id,
        method: 'get'
    })
}

export function roleList() {
    return request({
        url: '/roles',
        method: 'get'
    })
}

export function roleListItems() {
    return request({
        url: '/role-items',
        method: 'get'
    })
}


export function companyList(params) {
    return request({
        url: '/company',
        method: 'get',
        params
    })
}

export function companyListItems(params) {
    return request({
        url: '/company-items',
        method: 'get',
        params
    })
}

export function companyPost(data) {
    return request({
        url: '/company',
        method: 'post',
        data
    })
}

export function companyPatch(id,data) {
    return request({
        url: '/company/' + id,
        method: 'patch',
        data
    })
}

export function companyDetails(id) {
    return request({
        url: '/company/' + id,
        method: 'get',
    })
}

export function companyDelete(id) {
    return request({
        url: '/company/' + id,
        method: 'delete'
    })
}

export function batchUser(data) {
    return request({
        url: '/user/user-batch-create',
        method: 'post',
        data
    })
}

