import request from '@/utils/request'

export function requirementGroupList(params) {
  return request({
    url: '/requirement-group',
    method: 'get',
    params,
  })
}

export function requirementGroupListItems(params) {
  return request({
    url: '/requirement-group-items',
    method: 'get',
    params,
  })
}

export function requirementGroupAdd(data) {
  return request({
    url: '/requirement-group',
    method: 'post',
    data,
  })
}

export function requirementGroupEdit(id, data) {
  return request({
    url: `/requirement-group/${id}`,
    method: 'patch',
    data,
  })
}

export function requirementGroupDetails(id) {
  return request({
    url: `/requirement-group/${id}`,
    method: 'get',
  })
}

export function requirementGroupDelete(id) {
  return request({
    url: `/requirement-group/${id}`,
    method: 'delete',
  })
}

export function requirementList(params) {
  return request({
    url: `/requirement`,
    method: 'get',
    params,
  })
}

export function requirementListItems(params) {
  return request({
    url: `/requirement-items`,
    method: 'get',
    params,
  })
}

export function requirementAdd(data) {
  return request({
    url: '/requirement',
    method: 'post',
    data,
  })
}

export function requirementDelete(id) {
  return request({
    url: `/requirement/${id}`,
    method: 'delete',
  })
}

export function requirementDetails(id) {
  return request({
    url: `/requirement/${id}`,
    method: 'get',
  })
}

export function requirementEdit(id, data) {
  return request({
    url: `/requirement/${id}`,
    method: 'patch',
    data,
  })
}

export function requirementBatch(data) {
  return request({
    url: '/requirement/batch',
    method: 'post',
    data,
  })
}

export function requirementClose(id, data) {
  return request({
    url: `/requirement/${id}/close`,
    method: 'patch',
    data,
  })
}

export function requirementStart(id, data) {
  return request({
    url: `/requirement/${id}/start`,
    method: 'patch',
    data,
  })
}

export function requirementHistory(id) {
  return request({
    url: `/action/requirement/history/${id}`,
    method: 'get',
  })
}

export function requirementExport(params) {
  return request({
    url: `/requirement-export`,
    method: 'get',
    responseType: 'blob',
    params
  })
}

export function requirementImport(data) {
  return request({
    url: `/requirement-import`,
    method: 'post',
    data
  })
}