import request from '@/utils/request'

export function rolesList(params) {
    return request({
        url: '/roles',
        method: 'get',
        params
    })
}

export function rolesPost(data) {
    return request({
        url: '/roles',
        method: 'post',
        data
    })
}

export function rolesDetails(role_id) {
    return request({
        url: '/roles/' + role_id,
        method: 'get',
    })
}

export function rolesPatch(role_id, data) {
    return request({
        url: '/roles/' + role_id,
        method: 'patch',
        data
    })
}

export function rolesDel(role_id) {
    return request({
        url: '/roles/' + role_id,
        method: 'delete',
    })
}

export function rolesPermission(role_id) {
    return request({
        url: '/role/' + role_id + '/permission',
        method: 'get',
    })
}

export function permissionList() {
    return request({
        url: '/permission',
        method: 'get',
    })
}

export function permissionAssign(role_id,data) {
    return request({
        url: '/role/' + role_id + '/assign-permission',
        method: 'put',
        data
    })
}

export function permissionMenu() {
    return request({
        url: '/permission/menu',
        method: 'get',
    })
}

export function rolePermissionMenu(role) {
    return request({
        url: `/role/${role}/menus`,
        method: 'get',
    })
}

export function rolePermissionMenuSubmit(role,data) {
    return request({
        url: `role/${role}/assign-menus-permission`,
        method: 'put',
        data
    })
}


