import request from '@/utils/request'

export function enabledDictionaryList(params) {
  return request({
    url: '/naming-rule-enabled',
    method: 'get',
    params
  })
}

export function dictionaryList(params) {
  return request({
    url: '/naming-rule',
    method: 'get',
    params
  })
}

export function dictionaryAdd(data) {
  return request({
    url: '/naming-rule',
    method: 'post',
    data,
  })
}

export function dictionaryEdit(id, data) {
  return request({
    url: `/naming-rule/${id}`,
    method: 'patch',
    data,
  })
}

export function dictionaryDetails(id) {
  return request({
    url: `/naming-rule/${id}`,
    method: 'get',
  })
}

export function dictionaryDelete(id) {
  return request({
    url: `/naming-rule/${id}`,
    method: 'delete',
  })
}

export function customFieldt(params) {
  return request({
    url: '/custom-field',
    method: 'get',
    params
  })
}

export function customFieldtPost(data) {
  return request({
    url: '/custom-field',
    method: 'post',
    data
  })
}

export function customFieldtDelete(id) {
  return request({
    url: '/custom-field/' + id,
    method: 'delete',
  })
}

export function customFieldtGroup(params) {
  return request({
    url: '/custom-field-group',
    method: 'get',
    params
  })
}

export function customFieldtGroupNamingRule(params) {
  return request({
    url: '/custom-field-group/naming-rule',
    method: 'get',
    params
  })
}

export function namingRuleCombinationAdd(id, data) {
  return request({
    url: `/naming-rule/${id}/combination`,
    method: 'post',
    data
  })
}

export function namingRuleCombinationDetails(id) {
  return request({
    url: `/naming-rule/${id}/combination/show`,
    method: 'get',
  })
}

export function companyList(params) {
  return request({
    url: '/company',
    method: 'get',
    params
  })
}

export function notificationConfig(params) {
  return request({
    url: '/config',
    method: 'get',
    params
  })
}

export function notificationConfigSetting(data) {
  return request({
    url: '/config-setting',
    method: 'post',
    data
  })
}

export function notificationInfo() {
  return request({
    url: '/config/message-notification-setting',
    method: 'get',
  })
}

export function notificationInfoPost(data) {
  return request({
    url: '/config/message-notification-setting',
    method: 'post',
    data
  })
}


