import request from '@/utils/request'

export function userInfo(params) {
  return request({
    url: '/user',
    method: 'get',
    params
  })
}

export function userInfoItems(params) {
  return request({
    url: '/user-items',
    method: 'get',
    params
  })
}

export function fileUpload(parameter) {
  return request({
    url: '/file-upload',
    method: 'post',
    data: parameter,
  })
}

export function companyFileUpload(parameter) {
  return request({
    url: '/company-file-upload',
    method: 'post',
    data: parameter,
  })
}

export function companyAction(parameter) {
  return request({
    url: '/company/action',
    method: 'post',
    data: parameter,
  })
}

export function registerCompany(parameter) {
  return request({
    url: '/register/company',
    method: 'post',
    data: parameter,
  })
}

export function getFile(type, id) {
  return request({
    url: `/file/${type}/${id}`,
    method: 'get',
  })
}

export function downloadFile(id) {
  return request({
    url: `/file/${id}/download`,
    method: 'post',
  })
}

export function changeNameFile(id, parameter) {
  return request({
    url: `/file/${id}/change-name`,
    method: 'patch',
    data: parameter,
  })
}

export function destroyFile(id, params) {
  return request({
    url: `/file/${id}/destroy`,
    method: 'delete',
    params
  })
}

export function downloadZip(data) {
  return request({
    url: `/file/download-zip`,
    method: 'post',
    data,
  })
}

export function commentSubmit(type, id, data) {
  return request({
    url: `/action/${type}/comment/${id}`,
    method: 'post',
    data,
  })
}

export function commentEdit(id, data) {
  return request({
    url: `/action/${id}/comment`,
    method: 'patch',
    data,
  })
}

export function aclUserList() {
  return request({
    url: `/department-user-index`,
    method: 'get',
  })
}

export function verificationCode(data) {
  return request({
    url: `/send-forget-password-email`,
    method: 'post',
    data
  })
}

export function resetPassword(data) {
  return request({
    url: `/reset-password`,
    method: 'post',
    data
  })
}

export function operationLogList(params) {
  return request({
    url: `/system-operation-log`,
    method: 'get',
    params
  })
}