import JSZip from 'jszip'
import FileSaver from 'file-saver'
import axios from 'axios'
/**
 * 打包压缩下载
 * @param data  源文件数组
 * @param fileName  压缩文件的名称
 */
const getFile = (url) => {
  return new Promise((resolve, reject) => {
    axios
      .get(url.split('myqcloud.com')[1], {
        method: 'GET',
        responseType: 'blob',
      })
      .then((res) => {
        resolve(res)
      })
      .catch((error) => {
        reject(error)
      })
  })
}

export async function compressAndDownload(data, fileName) {
  const zip = new JSZip()
  const promises = [] //用于存储多个promise
  data.forEach((item) => {
    const promise = getFile(item.download_url).then((res) => {
      const fileName = item.title
      if(item.folder_path){
        zip.file(item.folder_path + '/'+fileName, res.data, { binary: true })
      }else{
        zip.file(fileName, res.data, { binary: true })
      }
    })
    promises.push(promise)
  })

  await Promise.all(promises).then((i) => {
    zip
      .generateAsync({
        type: 'blob',
        compression: 'DEFLATE', // STORE：默认不压缩 DEFLATE：需要压缩
        compressionOptions: {
          level: 9, // 压缩等级1~9    1压缩速度最快，9最优压缩方式
        },
      })
      .then((res) => {
        FileSaver.saveAs(res, fileName ? fileName : '压缩包.zip') // 利用file-saver保存文件
      })
      .catch((err) => {
        console.log(err)
      })
  })
}
